System.Runtime.Serialization 4.0.0.0 System.Configuration.ConfigurationElementCollection System.Configuration.ConfigurationCollection(typeof(System.Runtime.Serialization.Configuration.ParameterElement), AddItemName="parameter", CollectionType=System.Configuration.ConfigurationElementCollectionType.BasicMap)

This class is used to handle the set of parameter elements within the <dataContractSerializer> element. Specifically, this allows the addition of types to the collection of known types.

Handles the XML elements used to configure serialization by the .

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Void `` To be added.

  Adds an element to the collection of parameter elements.

  The element to add to the collection.
- Method
  4.0.0.0
  System.Void To be added.

  Removes all members of the collection.

- Property
  4.0.0.0
  System.Configuration.ConfigurationElementCollectionType To be added. To be added.

  Gets the type of the parameters collection in configuration.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Gets or sets a value specifying whether the named type is found in the collection.

  true if the element is present; otherwise, false.

  The name of the type to find.
- Method
  4.0.0.0
  System.Configuration.ConfigurationElement To be added. To be added. To be added.
- Property
  4.0.0.0
  System.String To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Int32 `` To be added.

  Gets the position of the specified element in the collection.

  The position of the specified element.

  The element to find.
- Property
  4.0.0.0
  System.Runtime.Serialization.Configuration.ParameterElement `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added.

  Removes the specified element from the collection.

  The to remove.
- Method
  4.0.0.0
  System.Void `` To be added.

  Removes the element at the specified position.

  The position of the element to remove.